using System;
using System.Web.Mvc;
using System.Configuration;
using SelectPdf;

namespace SelectPdf.Samples.Controllers
{
    public class DocumentPropertiesController : Controller
    {
        // GET: DocumentProperties
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult SubmitAction(FormCollection collection)
        {
            // create a new pdf document
            PdfDocument doc = new PdfDocument();

            // add a new page to the document
            PdfPage page = doc.AddPage();

            // create a new pdf font
            PdfFont font = doc.AddFont(PdfStandardFont.Helvetica);
            font.Size = 20;

            // create a new text element and add it to the page
            PdfTextElement text = new PdfTextElement(50, 50,
                "SelectPdf for .NET - Document Properties Sample", font);
            page.Add(text);

            // set the document properties
            doc.DocumentInformation.Title = "SelectPdf for .NET Sample";
            doc.DocumentInformation.Author = "SelectPdf Samples";
            doc.DocumentInformation.Subject = "SelectPdf Library Samples";
            doc.DocumentInformation.Keywords = "pdf library, sample code";
            doc.DocumentInformation.CreationDate = DateTime.Now;

            // save pdf document
            byte[] pdf =  doc.Save();

            // close pdf document
            doc.Close();

            // return resulted pdf document
            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "Document.pdf";
            return fileResult;
        }
    }
}